Overview | Package | Class | Tree | Deprecated | Index | Help
| JavaSVN Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.tmatesoft.svn.core.io
Interface ISVNLocationEntryHandler

public interface ISVNLocationEntryHandler

This public interface should be implemented for using within `SVNRepository.getLocations(String, long, long[], ISVNLocationEntryHandler)`. The mentioned method retrieves file locations for interested revisions and uses an implementation of `ISVNLocationEntryHandler` to handle them.

Version:
  1.0
Author:
  TMate Software Ltd.
See Also:
  `SVNLocationEntry`

Method Summary
`void` | `handleLocationEntry(SVNLocationEntry locationEntry)` To be implemented for location entries handling.

Method Detail

### handleLocationEntry

    public void handleLocationEntry(SVNLocationEntry locationEntry)
                             throws SVNException

  To be implemented for location entries handling.

  Parameters:
    `locationEntry` - a location entry
  Throws:
    `SVNException`
  See Also:
    `SVNLocationEntry`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JavaSVN Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 TMate Software Ltd. All Rights Reserved.